# gleam-tauri-experiment

This is [Tauri] application that uses [Gleam] and [Lustre] on the front-end via
[Vite].

<img src="screenshot.png" alt="Screenshot of the application showing a name field, minus button, plus button, Greet button and the current time" width="650">

## Building

### Prerequisites

You will need the following installed to build the application:

- Rust
- Gleam
- node.js & npm

Run `npm i` to install node packages.

### Build

Build the project with:

    cargo tauri dev

This will compile all the code and start a development instance that will live
reload when changes are made.

[Tauri]: https://tauri.app/
[Gleam]: https://gleam.run/
[Lustre]: https://lustre.build/
[Vite]: https://vitejs.dev/

